org.apache.fontbox.ttf.table.common

## Class LookupSubTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupSubTable

Direct Known Subclasses:
  LookupTypeAlternateSubstitutionFormat1, LookupTypeLigatureSubstitutionSubstFormat1, LookupTypeMultipleSubstitutionFormat1, LookupTypeSingleSubstFormat1, LookupTypeSingleSubstFormat2

    public abstract class LookupSubTable
    extends Object

This class models the Lookup Sub-Table in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LookupSubTable(int substFormat, CoverageTable coverageTable)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `doSubstitution(int gid, int coverageIndex)`
`CoverageTable` `getCoverageTable()`
`int` `getSubstFormat()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupSubTable

    public LookupSubTable(int substFormat,
                          CoverageTable coverageTable)

### Method Detail

#### doSubstitution

    public abstract int doSubstitution(int gid,
                                       int coverageIndex)

#### getSubstFormat

    public int getSubstFormat()

#### getCoverageTable

    public CoverageTable getCoverageTable()